Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 10251)
@@ -24,8 +24,4 @@
    USE trcini_c14b     ! C14 bomb initialisation
    USE trcini_my_trc   ! MY_TRC   initialisation
-   ! +++>>> FABM
-   USE trcsms_fabm     ! FABM initialisation
-   USE trcini_fabm     ! FABM initialisation
-   ! FABM <<<FABM
    USE trcdta          ! initialisation from files
    USE daymod          ! calendar manager
@@ -36,5 +32,4 @@
    USE sbc_oce
    USE trcice          ! tracers in sea ice
-   USE trcbc,   only : trc_bc_init ! generalized Boundary Conditions
  
    IMPLICIT NONE
@@ -74,8 +69,4 @@
       IF(lwp) WRITE(numout,*) 'trc_init : initial set up of the passive tracers'
       IF(lwp) WRITE(numout,*) '~~~~~~~'
-      ! +++>>> FABM
-      ! Allow FABM to update numbers of biogeochemical tracers, diagnostics (jptra etc.)
-      IF( lk_fabm ) CALL nemo_fabm_init
-      ! FABM <<<+++
 
       CALL top_alloc()              ! allocate TOP arrays
@@ -110,7 +101,4 @@
       IF( lk_c14b    )       CALL trc_ini_c14b         ! C14 bomb  tracer
       IF( lk_my_trc  )       CALL trc_ini_my_trc       ! MY_TRC  tracers
-      ! +++>>> FABM
-      IF( lk_fabm    )       CALL trc_ini_fabm         ! FABM    tracers
-      ! FABM <<<+++
 
       CALL trc_ice_ini                                 ! Tracers in sea ice
@@ -122,5 +110,4 @@
       ENDIF
 
-      ! Initialisation of tracers Initial Conditions
       IF( ln_trcdta )      CALL trc_dta_init(jptra)
 
@@ -157,17 +144,4 @@
         ! 
       ENDIF
-      ! --->>> FABM
-! Initialisation of tracers Boundary Conditions  - here so that you can use initial condition as boundary
-      !IF( lk_my_trc )     CALL trc_bc_init(jptra)
-      ! FABM <<<---
-      ! FABM +++>>>
-! Initialisation of FABM diagnostics and tracer boundary conditions (so that you can use initial condition as boundary)
-      IF( lk_fabm )     THEN
-          wndm=0._wp !uninitiased field at this point
-          qsr=0._wp !uninitiased field at this point
-          CALL compute_fabm ! only needed to set-up diagnostics
-          CALL trc_bc_init(jptra)
-      ENDIF
-      ! FABM <<<+++
  
       tra(:,:,:,:) = 0._wp
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcnam.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcnam.F90	(revision 10251)
@@ -25,7 +25,4 @@
    USE trcnam_c14b       ! C14 SMS namelist
    USE trcnam_my_trc     ! MY_TRC SMS namelist
-   ! +++>>> FABM
-   USE trcnam_fabm       ! FABM SMS namelist
-   ! FABM <<<+++
    USE trd_oce       
    USE trdtrc_oce
@@ -37,10 +34,4 @@
    PUBLIC trc_nam_run  ! called in trcini
    PUBLIC trc_nam      ! called in trcini
-   PUBLIC trc_nam_dia
-#if defined key_trdmxl_trc  || defined key_trdtrc
-   NAMELIST/namtrc_trd/ nn_trd_trc, nn_ctls_trc, rn_ucf_trc, &
-      &                ln_trdmxl_trc_restart, ln_trdmxl_trc_instant, &
-      &                cn_trdrst_trc_in, cn_trdrst_trc_out, ln_trdtrc
-#endif
 
    !! * Substitutions
@@ -66,8 +57,4 @@
       !!---------------------------------------------------------------------
       INTEGER  ::   jn                  ! dummy loop indice
-#if defined key_trdmxl_trc  || defined key_trdtrc
-      INTEGER :: ios
-#endif
-
       !                                        !   Parameters of the run 
       IF( .NOT. lk_offline ) CALL trc_nam_run
@@ -181,10 +168,4 @@
       ELSE                    ;   IF(lwp) WRITE(numout,*) '          MY_TRC not used'
       ENDIF
-
-      ! +++>>> FABM
-      IF( lk_fabm    ) THEN   ;   CALL trc_nam_fabm        ! FABM tracers
-      ELSE                    ;   IF(lwp) WRITE(numout,*) '          FABM not used'
-      ENDIF
-      ! FABM <<<+++
       !
    END SUBROUTINE trc_nam
@@ -206,5 +187,5 @@
 
 
-      IF(lwp) WRITE(numout,*) 'trc_nam_run : read the passive tracer namelists'
+      IF(lwp) WRITE(numout,*) 'trc_nam : read the passive tracer namelists'
       IF(lwp) WRITE(numout,*) '~~~~~~~'
 
@@ -253,10 +234,5 @@
 
       ! --- Namelist declarations --- !
-      ! --->>> FABM
-      !TYPE(TRC_I_NML), DIMENSION(jptra) :: sn_tri_tracer
-      ! FABM <<<--- 
-      ! +++>>> FABM
-      TYPE(TRC_I_NML), DIMENSION(jpmaxtrc) :: sn_tri_tracer
-      ! FABM <<<+++ 
+      TYPE(TRC_I_NML), DIMENSION(jptra) :: sn_tri_tracer
       NAMELIST/namtrc_ice/ nn_ice_tr, sn_tri_tracer
 
@@ -302,12 +278,7 @@
       !!
       !!---------------------------------------------------------------------
-      ! --->>> FABM
-      !TYPE(PTRACER), DIMENSION(jptra) :: sn_tracer  ! type of tracer for saving if not key_iomput
-      ! FABM <<<---
-      ! +++>>> FABM
-      TYPE(PTRACER), DIMENSION(jpmaxtrc) :: sn_tracer  ! type of tracer for saving if not key_iomput
-      ! FABM <<<+++
-      !!
-      NAMELIST/namtrc/ sn_tracer, ln_trcdta, ln_trcdmp, ln_trcdmp_clo
+      TYPE(PTRACER), DIMENSION(jptra) :: sn_tracer  ! type of tracer for saving if not key_iomput
+      !!
+      NAMELIST/namtrc/ sn_tracer, ln_trcdta,ln_trcdmp, ln_trcdmp_clo
   
       INTEGER  ::   ios                 ! Local integer output status for namelist read
@@ -315,15 +286,7 @@
       !!---------------------------------------------------------------------
       IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'trc_nam_trc : read the passive tracer namelists'
+      IF(lwp) WRITE(numout,*) 'trc_nam : read the passive tracer namelists'
       IF(lwp) WRITE(numout,*) '~~~~~~~'
 
-      ! Initialise logical flags to .FALSE.:
-      sn_tracer(:)%llinit = .FALSE.
-      sn_tracer(:)%llsave = .FALSE.
-#ifdef key_fabm
-      sn_tracer(:)%llsbc = .FALSE.
-      sn_tracer(:)%llcbc = .FALSE.
-      sn_tracer(:)%llcbc = .FALSE.
-#endif
 
       REWIND( numnat_ref )              ! Namelist namtrc in reference namelist : Passive tracer variables
@@ -341,20 +304,7 @@
          ctrcun    (jn) = TRIM( sn_tracer(jn)%clunit  )
          ln_trc_ini(jn) =       sn_tracer(jn)%llinit
-! --->>> FABM
-!!#if defined key_my_trc
-! FABM <<<---
-! +++>>> FABM
-#if defined key_fabm
-! FABM <<<+++
-         ln_trc_sbc(jn) =       sn_tracer(jn)%llsbc
-         ln_trc_cbc(jn) =       sn_tracer(jn)%llcbc
-         ln_trc_obc(jn) =       sn_tracer(jn)%llobc
-#endif
          ln_trc_wri(jn) =       sn_tracer(jn)%llsave
       END DO
-     
-      ! +++>>> FABM
-      if (lk_fabm) CALL trc_nam_fabm_override
-      ! FABM <<<+++
+      
     END SUBROUTINE trc_nam_trc
 
@@ -372,7 +322,7 @@
       INTEGER ::  ierr
 #if defined key_trdmxl_trc  || defined key_trdtrc
-!     NAMELIST/namtrc_trd/ nn_trd_trc, nn_ctls_trc, rn_ucf_trc, &
-!        &                ln_trdmxl_trc_restart, ln_trdmxl_trc_instant, &
-!        &                cn_trdrst_trc_in, cn_trdrst_trc_out, ln_trdtrc
+      NAMELIST/namtrc_trd/ nn_trd_trc, nn_ctls_trc, rn_ucf_trc, &
+         &                ln_trdmxl_trc_restart, ln_trdmxl_trc_instant, &
+         &                cn_trdrst_trc_in, cn_trdrst_trc_out, ln_trdtrc
 #endif
       NAMELIST/namtrc_dia/ ln_diatrc, ln_diabio, nn_writedia, nn_writebio
@@ -447,3 +397,3 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
-END MODULE trcnam
+END MODULE  trcnam
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcrst.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcrst.F90	(revision 10251)
@@ -28,7 +28,4 @@
    USE iom
    USE daymod
-   ! +++>>> FABM
-   USE trcrst_fabm
-   ! FABM <<<+++
    IMPLICIT NONE
    PRIVATE
@@ -120,8 +117,4 @@
          CALL iom_get( numrtr, jpdom_autoglo, 'TRB'//ctrcnm(jn), trb(:,:,:,jn) )
       END DO
-      ! +++>>> FABM
-
-      IF (lk_fabm) CALL trc_rst_read_fabm
-      ! FABM <<<+++
       !
    END SUBROUTINE trc_rst_read
@@ -149,7 +142,4 @@
          CALL iom_rstput( kt, nitrst, numrtw, 'TRB'//ctrcnm(jn), trb(:,:,:,jn) )
       END DO
-      ! +++>>> FABM
-      IF (lk_fabm) CALL trc_rst_wri_fabm(kt)
-      ! FABM <<<+++
       !
       IF( kt == nitrst ) THEN
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcsms.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcsms.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcsms.F90	(revision 10251)
@@ -19,7 +19,4 @@
    USE trcsms_c14b        ! C14b tracer 
    USE trcsms_my_trc      ! MY_TRC  tracers
-   ! +++>>>> FABM
-   USE trcsms_fabm        ! FABM tracers
-   ! FABM <<<+++
    USE prtctl_trc         ! Print control for debbuging
 
@@ -55,7 +52,4 @@
       IF( lk_c14b    )   CALL trc_sms_c14b   ( kt )    ! surface fluxes of C14
       IF( lk_my_trc  )   CALL trc_sms_my_trc ( kt )    ! MY_TRC  tracers
-      ! +++>>> FABM
-      IF( lk_fabm    )   CALL trc_sms_fabm ( kt )      ! FABM tracers
-      ! FABM <<<+++
 
       IF(ln_ctl) THEN      ! print mean trends (used for debugging)
@@ -81,3 +75,3 @@
 
    !!======================================================================
-END MODULE trcsms
+END MODULE  trcsms
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 10251)
@@ -32,5 +32,5 @@
    REAL(wp), DIMENSION(:,:,:), SAVE, ALLOCATABLE ::   qsr_arr ! save qsr during TOP time-step
    REAL(wp) :: rdt_sampl
-   INTEGER  :: nb_rec_per_day
+   INTEGER  :: nb_rec_per_days
    INTEGER  :: isecfst, iseclast
    LOGICAL  :: llnew
@@ -100,8 +100,4 @@
          IF( lrst_trc )            CALL trc_rst_wri  ( kt )       ! write tracer restart file
          IF( lk_trdmxl_trc  )      CALL trd_mxl_trc  ( kt )       ! trends: Mixed-layer
-#if defined key_tracer_budget
-!slwa tracer budget
-         IF( lk_iomput ) CALL trc_wri (kt, 2) 
-#endif
          !
          IF( nn_dttrc /= 1   )     CALL trc_sub_reset( kt )       ! resetting physical variables when sub-stepping
@@ -127,5 +123,5 @@
       !!               of diurnal cycle
       !!
-      !! ** Method  : store in TOP the qsr every hour ( or every time-step if the latter 
+      !! ** Method  : store in TOP the qsr every hour ( or every time-step the latter 
       !!              is greater than 1 hour ) and then, compute the  mean with 
       !!              a moving average over 24 hours. 
@@ -138,29 +134,21 @@
          IF( ln_cpl )  THEN  
             rdt_sampl = 86400. / ncpl_qsr_freq
-            nb_rec_per_day = ncpl_qsr_freq
+            nb_rec_per_days = ncpl_qsr_freq
          ELSE  
             rdt_sampl = MAX( 3600., rdt * nn_dttrc )
-            nb_rec_per_day = INT( 86400 / rdt_sampl )
+            nb_rec_per_days = INT( 86400 / rdt_sampl )
          ENDIF
          !
          IF( lwp ) THEN
             WRITE(numout,*) 
-            WRITE(numout,*) ' Sampling frequency dt = ', rdt_sampl, 's','   Number of sampling per day  nrec = ', nb_rec_per_day
+            WRITE(numout,*) ' Sampling frequency dt = ', rdt_sampl, 's','   Number of sampling per day  nrec = ', nb_rec_per_days
             WRITE(numout,*) 
          ENDIF
          !
-         !                                            !* Restart: read in restart file
-         IF( ln_rsttr .AND. iom_varid( numrtr, 'qsr_mean', ldstop = .FALSE. ) > 0 ) THEN 
-            IF(lwp) WRITE(numout,*) 'trc_qsr_mean:   qsr_mean read in the restart file'
-            CALL iom_get( numrtr, jpdom_autoglo, 'qsr_mean', qsr_mean )   !  A mean of qsr
-         ELSE                                         !* no restart: set from nit000 values
-            IF(lwp) WRITE(numout,*) 'trc_qsr_mean:   qsr_mean set to nit000 values'
-            qsr_mean(:,:) = qsr(:,:)
-         ENDIF
-         !
-         ALLOCATE( qsr_arr(jpi,jpj,nb_rec_per_day ) )
-         DO jn = 1, nb_rec_per_day
-             qsr_arr(:,:,jn) = qsr_mean(:,:)
+         ALLOCATE( qsr_arr(jpi,jpj,nb_rec_per_days ) )
+         DO jn = 1, nb_rec_per_days
+            qsr_arr(:,:,jn) = qsr(:,:)
          ENDDO
+         qsr_mean(:,:) = qsr(:,:)
          !
          isecfst  = nsec_year + nsec1jan000   !   number of seconds between Jan. 1st 00h of nit000 year and the middle of time step
@@ -175,18 +163,11 @@
              &                      ' time = ', (iseclast+rdt*nn_dttrc/2.)/3600.,'hours '
           isecfst = iseclast
-          DO jn = 1, nb_rec_per_day - 1
+          DO jn = 1, nb_rec_per_days - 1
              qsr_arr(:,:,jn) = qsr_arr(:,:,jn+1)
           ENDDO
-          qsr_arr (:,:,nb_rec_per_day) = qsr(:,:)
-          qsr_mean(:,:                ) = SUM( qsr_arr(:,:,:), 3 ) / nb_rec_per_day
+          qsr_arr (:,:,nb_rec_per_days) = qsr(:,:)
+          qsr_mean(:,:                ) = SUM( qsr_arr(:,:,:), 3 ) / nb_rec_per_days
       ENDIF
       !
-      IF( lrst_trc ) THEN    !* Write the mean of qsr in restart file 
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'trc_mean_qsr : write qsr_mean in restart file  kt =', kt
-         IF(lwp) WRITE(numout,*) '~~~~~~~'
-         CALL iom_rstput( kt, nitrst, numrtw, 'qsr_mean', qsr_mean(:,:) )
-      ENDIF
-     !
    END SUBROUTINE trc_mean_qsr
 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 10251)
@@ -20,5 +20,5 @@
 #endif
 #if defined key_zdfgls
-!   USE zdfgls, ONLY: en
+   USE zdfgls, ONLY: en
 #endif
    USE trabbl
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcwri.F90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/NEMO/TOP_SRC/trcwri.F90	(revision 10251)
@@ -21,7 +21,4 @@
    USE trcwri_c14b
    USE trcwri_my_trc
-   ! +++>>> FABM
-   USE trcwri_fabm
-   ! FABM <<<+++
 
    IMPLICIT NONE
@@ -35,9 +32,5 @@
 CONTAINS
 
-#if defined key_tracer_budget
-   SUBROUTINE trc_wri( kt , fl)  !slwa
-#else
    SUBROUTINE trc_wri( kt )
-#endif
       !!---------------------------------------------------------------------
       !!                     ***  ROUTINE trc_wri  ***
@@ -46,9 +39,4 @@
       !!---------------------------------------------------------------------
       INTEGER, INTENT( in )     :: kt
-      ! +++>>>FABM
-#if defined key_tracer_budget
-      INTEGER, INTENT( in ), OPTIONAL     :: fl  ! slwa
-#endif
-      ! FABM <<<+++
       !
       INTEGER                   :: jn
@@ -71,20 +59,6 @@
       IF( lk_cfc     )   CALL trc_wri_cfc        ! surface fluxes of CFC
       IF( lk_c14b    )   CALL trc_wri_c14b       ! surface fluxes of C14
-      ! +++>>>FABM
-#if defined key_tracer_budget
-      IF( PRESENT(fl) ) THEN
-         IF( lk_fabm    )   CALL trc_wri_fabm (kt, fl) ! MY_TRC  tracers for budget
-         IF( lk_my_trc ) CALL trc_wri_my_trc (kt, fl)    ! MY_TRC  tracers for budget
-      ELSE
-         IF( lk_fabm    )   CALL trc_wri_fabm (kt) ! FABM  tracers for budget
-         IF( lk_my_trc  )   CALL trc_wri_my_trc (kt) ! MY_TRC  tracers
-      ENDIF
-#else
-      IF( lk_fabm  )   CALL trc_wri_fabm (kt)     ! FABM  tracers
-      IF( lk_my_trc  )   CALL trc_wri_my_trc(kt)     ! MY_TRC  tracers
-#endif
-      ! FABM <<<+++
+      IF( lk_my_trc  )   CALL trc_wri_my_trc     ! MY_TRC  tracers
       !
-
       IF( nn_timing == 1 )  CALL timing_stop('trc_wri')
       !
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_MERCATOR_CLUSTER
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_MERCATOR_CLUSTER	(revision 10251)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-ifort_MERCATOR_CLUSTER	(revision 10251)
@@ -0,0 +1,74 @@
+#!/bin/bash 
+#!
+#PBS -N sette
+#PBS -e sette.$PBS_JOBID.err
+#PBS -o sette.$PBS_JOBID.out
+#PBS -l nodes=NODES:ppn=NPROC_NODE
+#PBS -q QUEUE
+#PBS -l walltime=03:00:00
+#PBS -l pvmem=5gb
+
+#
+# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
+# (via sed operating on this template job file). 
+#
+  OCEANCORES=NPROCS
+  export SETTE_DIR=DEF_SETTE_DIR
+
+###############################################################
+#
+# set up mpp computing environment
+#
+# Local settings for machine IBM Power6 (VARGAS at IDRIS France)
+#
+#cbr export MPIRUN="mpiexec -n $OCEANCORES"
+export MPIRUN="mpirun -np $OCEANCORES"
+
+#
+# load sette functions (only post_test_tidyup needed)
+#
+  . ${SETTE_DIR}/all_functions.sh
+#
+
+# Don't remove neither change the following line
+# BODY
+
+#
+# These variables are needed by post_test_tidyup function in all_functions.sh
+#
+  export EXE_DIR=DEF_EXE_DIR
+  export INPUT_DIR=DEF_INPUT_DIR
+  export CONFIG_DIR=DEF_CONFIG_DIR
+  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
+  export NEW_CONF=DEF_NEW_CONF
+  export CMP_NAM=DEF_CMP_NAM
+  export TEST_NAME=DEF_TEST_NAME
+#
+# end of set up
+###############################################################
+#
+# change to the working directory 
+#
+cd ${EXE_DIR}
+  echo Running on host `hostname`
+  echo Time is `date`
+  echo Directory is `pwd`
+# 
+#  Run the parallel MPI executable 
+#
+  echo "Running time ${MPIRUN} ./opa"
+#
+  if [ MPI_FLAG == "yes" ]; then
+     mpirun -np $OCEANCORES ./opa
+  else
+     time ./opa
+  fi
+
+#
+  post_test_tidyup
+
+# END_BODY
+# Don't remove neither change the previous line
+
+
+  exit
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/all_functions.sh	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/all_functions.sh	(revision 10251)
@@ -79,5 +79,5 @@
 # ==========
 #
-# $Id$
+# $Id: all_functions.sh 4316 2013-11-26 15:43:56Z clevy $
 #
 #   * creation
@@ -286,30 +286,22 @@
         echo "################" >> ${SETTE_DIR}/output.sette
 
-        inxml=$1
         VAR_NAME=$( grep "^.*<.*file_definition.*type.*=" ${EXE_DIR}/$1 | sed -e "s% *\!.*%%" )
         if [ ${#VAR_NAME} -eq 0 ]
         then
-# This may have failed because the job is using XIOS_2.0 conventions and the file descriptions have moved to file_def.xml
-# Check again in case this is the case
-          VAR_NAME=$( grep "^.*<.*file_definition.*type.*=" ${EXE_DIR}/file_def.xml | sed -e "s% *\!.*%%" )
-          inxml="file_def.xml"
-          if [ ${#VAR_NAME} -eq 0 ]
-          then
                 echo "doing \"set_xio_file_type $@\". "
                 echo "xml_tag: file_definition with variable: type is empty"
-                echo "confirm that an appropriate file_definition is in \"${EXE_DIR}/$1\" or file_def.xml"
+                echo "confirm that an appropriate file_definition is in \"${EXE_DIR}/$1\" "
                 echo "exit"
                 echo "error in executing script : set_xio_file_type $@" >> ${SETTE_DIR}/output.sette
                 echo "....." >> ${SETTE_DIR}/output.sette
                 exit 1
-          fi
         fi
         if [ $2 == "one_file" ] 
         then
-           sed -e "s:multiple_file:one_file:" ${EXE_DIR}/$inxml > ${EXE_DIR}/$inxml.tmp
+           sed -e "s:multiple_file:one_file:" ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
         else
-           sed -e "s:one_file:multiple_file:" ${EXE_DIR}/$inxml > ${EXE_DIR}/$inxml.tmp
-        fi
-        mv ${EXE_DIR}/$inxml.tmp ${EXE_DIR}/$inxml
+           sed -e "s:one_file:multiple_file:" ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
+        fi
+        mv ${EXE_DIR}/$1.tmp ${EXE_DIR}/$1
 
         echo "finished script : set_xio_file_type $@" >> ${SETTE_DIR}/output.sette
@@ -344,11 +336,6 @@
         if [ ${#VAR_NAME} -eq 0 ]
         then
-# This may have failed because the iodef file is using XIOS_2.0 syntax where "boolean" has reduced to "bool"
-# Check again in case this is the case
-          VAR_NAME=$( grep "^.*<.*variable id.*=.*using_server.*=.*bool" ${EXE_DIR}/$1 | sed -e "s% *\!.*%%" )
-           if [ ${#VAR_NAME} -eq 0 ]
-           then
                 echo "doing \"set_xio_using_server $@\". "
-                echo "xml_tag: "variable id=using_server" with either variable: boolean or bool is empty"
+                echo "xml_tag: "variable id=using_server" with variable: boolean is empty"
                 echo "confirm that an appropriate variable id is in \"${EXE_DIR}/$1\" "
                 echo "exit"
@@ -356,5 +343,4 @@
                 echo "....." >> ${SETTE_DIR}/output.sette
                 exit 1
-           fi
         fi
         if [ $2 == "false" ]
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/prepare_exe_dir.sh
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/prepare_exe_dir.sh	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/prepare_exe_dir.sh	(revision 10251)
@@ -70,5 +70,5 @@
 export EXE_DIR=${CONFIG_DIR}/${NEW_CONF}/${TEST_NAME}
 
-cp -rL ${CONFIG_DIR}/${NEW_CONF}/EXP00/* ${EXE_DIR}/.
-if [ ! -f ${EXE_DIR}/file_def.xml ]; then cp -r ${SETTE_DIR}/iodef_sette.xml ${EXE_DIR}/iodef.xml; fi
+cp -r ${CONFIG_DIR}/${NEW_CONF}/EXP00/* ${EXE_DIR}/.
+cp -r ${SETTE_DIR}/iodef_sette.xml ${EXE_DIR}/iodef.xml
 cd ${EXE_DIR}
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/prepare_job.sh	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/SETTE/prepare_job.sh	(revision 10251)
@@ -186,5 +186,5 @@
   #  if [ ${MPI_FLAG} == "no" ] ; then
 		case ${COMPILER} in 
-			X64_MOBILIS*)
+			X64_MOBILIS)
                                 NB_REM=$( echo $NB_PROC $NXIO_PROC | awk '{print ( $1 + $2 ) % 16}')
 		        	if [ ${NB_REM} == 0 ] ; then
@@ -280,5 +280,5 @@
                                 fi
                                 ;;
-                        openmpi_NAVITI_MERCATOR)
+                        ifort_MERCATOR_CLUSTER)
                                 echo NB_PROCS ${NB_PROC}
                                 echo NB_NODES ${NB_NODES}
@@ -289,12 +289,12 @@
                                    NB_PROC_NODE=${NB_PROC}
                                 else
-                                   if [ ${NB_PROC} -le 16 ] ; then
+                                   if [ ${NB_PROC} -le 8 ] ; then
                                       NB_NODES=1
                                       QUEUE=mono
                                       NB_PROC_NODE=${NB_PROC}
                                    else
-                                      NB_NODES=$( echo $NB_PROC | awk '{print $1 - $1 % 16}'  | awk '{print $1 / 16 }')
+                                      NB_NODES=$( echo $NB_PROC | awk '{print $1 - $1 % 8}'  | awk '{print $1 / 8 }')
                                       QUEUE=multi
-                                      NB_PROC_NODE=16
+                                      NB_PROC_NODE=8
                                   fi
                                 fi
@@ -324,5 +324,8 @@
 
         case ${COMPILER} in
-              openmpi_NAVITI_MERCATOR)
+              ifort_MERCATOR_CLUSTER)
+                    #cat run_sette_test.job | sed -e"s:QUEUE:${QUEUE}:" > run_sette_test1.job 
+                    #cat run_sette_test.job | sed -e"s/NPROC_NODE/${NB_PROC_NODE}/" > run_sette_test1.job 
+                                                 #-e"s/NPROC_NODE/${NB_PROC_NODE}/" > run_sette_test1.job
                     cat run_sette_test.job | sed -e"s/NPROC_NODE/${NB_PROC_NODE}/" \
                                                  -e"s:QUEUE:${QUEUE}:" > run_sette_test1.job
